hpp-constraints: Eigen::MatrixBlocksBase< Derived > Class Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
Eigen::MatrixBlocksBase< Derived > Class Template Reference
Constraints » Tools

`#include <hpp/constraints/matrix-view.hh>`

## Classes
struct | View
| Smaller matrix composed by concatenation of the blocks. More...

## Public Types
enum | { AllRows = internal::traits<Derived>::AllRows , AllCols = internal::traits<Derived>::AllCols , OneDimension = bool(AllRows) || bool(AllCols) }
typedef hpp::constraints::size_type | size_type
| Index of vector or matrix.
typedef BlockIndex::segment_t | segment_t
| Interval of indices [first, first + second - 1].
typedef BlockIndex::segments_t | segments_t
| vector of segments
typedef internal::traits< Derived >::RowIndices_t | RowIndices_t
typedef internal::traits< Derived >::ColIndices_t | ColIndices_t

## Public Member Functions
Derived const & | derived () const
Derived & | derived ()
template<typename MatrixType >
EIGEN_STRONG_INLINE View< MatrixType >::type | lview (const MatrixBase< MatrixType > &other) const
template<typename MatrixType >
EIGEN_STRONG_INLINE View< constMatrixType >::type | rview (const MatrixBase< MatrixType > &other) const
MatrixBlocksRef< AllCols, AllRows > | transpose () const
MatrixBlocksRef< AllRows, true > | keepRows () const
MatrixBlocksRef< true, AllCols > | keepCols () const
const segments_t & | indices () const
const RowIndices_t & | rows () const
const ColIndices_t & | cols () const
const size_type & | nbIndices () const
const size_type & | nbRows () const
const size_type & | nbCols () const
MatrixBlocks< AllRows, AllCols > | block (size_type i, size_type j, size_type ni, size_type nj) const
MatrixBlocks< AllRows, AllCols > | middleRows (size_type i, size_type ni) const
MatrixBlocks< AllRows, AllCols > | middleCols (size_type j, size_type nj) const

## Protected Member Functions
| MatrixBlocksBase ()
| Empty constructor.
| MatrixBlocksBase (const MatrixBlocksBase &)
| Copy constructor.

## Member Typedef Documentation

## ◆ ColIndices_t

template<typename Derived >

typedef internal::traits<Derived>::ColIndices_t Eigen::MatrixBlocksBase< Derived >::ColIndices_t

## ◆ RowIndices_t

template<typename Derived >

typedef internal::traits<Derived>::RowIndices_t Eigen::MatrixBlocksBase< Derived >::RowIndices_t

## ◆ segment_t

template<typename Derived >

typedef BlockIndex::segment_t Eigen::MatrixBlocksBase< Derived >::segment_t

Interval of indices [first, first + second - 1].

## ◆ segments_t

template<typename Derived >

typedef BlockIndex::segments_t Eigen::MatrixBlocksBase< Derived >::segments_t

vector of segments

## ◆ size_type

template<typename Derived >

typedef hpp::constraints::size_type Eigen::MatrixBlocksBase< Derived >::size_type

Index of vector or matrix.

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename Derived >

anonymous enum

Enumerator
AllRows |
AllCols |
OneDimension |

## Constructor & Destructor Documentation

## ◆ MatrixBlocksBase() [1/2]

template<typename Derived >

Eigen::MatrixBlocksBase< Derived >::MatrixBlocksBase | ( |  | ) |
| inline protected

Empty constructor.

## ◆ MatrixBlocksBase() [2/2]

template<typename Derived >

Eigen::MatrixBlocksBase< Derived >::MatrixBlocksBase | ( | const MatrixBlocksBase< Derived > & |  | ) |
| inline protected

Copy constructor.

## Member Function Documentation

## ◆ block()

template<typename Derived >

MatrixBlocks< AllRows, AllCols > Eigen::MatrixBlocksBase< Derived >::block | ( | size_type | i,
|  | size_type | j,
|  | size_type | ni,
|  | size_type | nj ) const
| inline

Extract a block

Parameters

  i,j,ni,nj | upper left corner and lengths of the block

Returns
  new instance

## ◆ cols()

template<typename Derived >

const ColIndices_t & Eigen::MatrixBlocksBase< Derived >::cols | ( |  | ) | const
| inline

Return column indices

Warning
  _allCols should be false

## ◆ derived() [1/2]

template<typename Derived >

Derived & Eigen::MatrixBlocksBase< Derived >::derived | ( |  | ) |
| inline

## ◆ derived() [2/2]

template<typename Derived >

Derived const & Eigen::MatrixBlocksBase< Derived >::derived | ( |  | ) | const
| inline

## ◆ indices()

template<typename Derived >

const segments_t & Eigen::MatrixBlocksBase< Derived >::indices | ( |  | ) | const
| inline

Return row or column indices as a vector of segments

Returns
  rows indices if not all rows are selected (see template parameter _allRows), column indices if all rows are selected.

## ◆ keepCols()

template<typename Derived >

MatrixBlocksRef< true, AllCols > Eigen::MatrixBlocksBase< Derived >::keepCols | ( |  | ) | const
| inline

## ◆ keepRows()

template<typename Derived >

MatrixBlocksRef< AllRows, true > Eigen::MatrixBlocksBase< Derived >::keepRows | ( |  | ) | const
| inline

## ◆ lview()

template<typename Derived >
template<typename MatrixType >

EIGEN_STRONG_INLINE View< MatrixType >::type Eigen::MatrixBlocksBase< Derived >::lview | ( | const MatrixBase< MatrixType > & | other | ) | const
| inline

Writable view of the smaller matrix

Parameters

  other | matrix to whick block are extracted

Returns
  writable view of the smaller matrix composed by concatenation of blocks.

## ◆ middleCols()

template<typename Derived >

MatrixBlocks< AllRows, AllCols > Eigen::MatrixBlocksBase< Derived >::middleCols | ( | size_type | j,
|  | size_type | nj ) const
| inline

Extract a set of cols

Parameters

  j,nj | start and length of the set of rows

Returns
  new instance

## ◆ middleRows()

template<typename Derived >

MatrixBlocks< AllRows, AllCols > Eigen::MatrixBlocksBase< Derived >::middleRows | ( | size_type | i,
|  | size_type | ni ) const
| inline

Extract a set of rows

Parameters

  i,ni | start and length of the set of rows

Returns
  new instance

## ◆ nbCols()

template<typename Derived >

const size_type & Eigen::MatrixBlocksBase< Derived >::nbCols | ( |  | ) | const
| inline

Return number of column indices

Warning
  _allCols should be false

## ◆ nbIndices()

template<typename Derived >

const size_type & Eigen::MatrixBlocksBase< Derived >::nbIndices | ( |  | ) | const
| inline

Return number of row or column indices

Returns
  number of rows indices if not all rows are selected (see template parameter _allRows), number of column indices if all rows are selected.

## ◆ nbRows()

template<typename Derived >

const size_type & Eigen::MatrixBlocksBase< Derived >::nbRows | ( |  | ) | const
| inline

Return number of row indices

Warning
  _allRows should be false

## ◆ rows()

template<typename Derived >

const RowIndices_t & Eigen::MatrixBlocksBase< Derived >::rows | ( |  | ) | const
| inline

Return row indices

Warning
  _allRows should be false

## ◆ rview()

template<typename Derived >
template<typename MatrixType >

EIGEN_STRONG_INLINE View< constMatrixType >::type Eigen::MatrixBlocksBase< Derived >::rview | ( | const MatrixBase< MatrixType > & | other | ) | const
| inline

Non-writable view of the smaller matrix

Parameters

  other | matrix to whick block are extracted

Returns
  non-writable view of the smaller matrix composed by concatenation of blocks.

## ◆ transpose()

template<typename Derived >

MatrixBlocksRef< AllCols, AllRows > Eigen::MatrixBlocksBase< Derived >::transpose | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- include/hpp/constraints/matrix-view.hh